Unity RTS Engine

  1. Home
  2. Unity RTS Engine
  3. Update Helper
  4. v1.4.4 to v1.4.5

v1.4.4 to v1.4.5

The 1.4.5 update brings a new upgrade system where the UnitUpgrade and BuildingUpgrade components have been both deprecated and replaced by one Upgrade component for both units and buildings.

After importing v1.4.5, make sure to delete the following components:

  • NPCBuildingUpgradeManager
  • NPCUnitUpgradeManager
  • UnitUpgrade
  • BuildingUpgrade

Please make sure to go through all your unit/building prefabs which used to have those two components and attach the Upgrade component to them.

Then make sure to go through the upgrade related tasks in the Task Launcher components and update them accordingly.

How can we help?